Package org.apache.storm.blobstore

# Class LocalFsBlobStoreSynchronizer

java.lang.Object
org.apache.storm.blobstore.LocalFsBlobStoreSynchronizer

public class LocalFsBlobStoreSynchronizer extends Object
Is called periodically and updates the nimbus with blobs based on the state stored inside the zookeeper for a non leader nimbus trying to be in sync with the operations performed on the leader nimbus.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalFsBlobStoreSynchronizer(BlobStore blobStore, Map<String,Object> conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteKeySetFromBlobStoreNotOnZookeeper(Set<String> keySetBlobStore, Set<String> keySetZookeeper)`
  `Set<String>`
  `getBlobStoreKeySet()`
  `Set<String>`
  `getKeySetToDownload(Set<String> blobStoreKeySet, Set<String> zookeeperKeySet)`
  `Set<String>`
  `getZookeeperKeySet()`
  `void`
  `setBlobStoreKeySet(Set<String> blobStoreKeySet)`
  `void`
  `setNimbusInfo(NimbusInfo nimbusInfo)`
  `void`
  `setZkClient(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient)`
  `void`
  `setZookeeperKeySet(Set<String> zookeeperKeySet)`
  `void`
  `syncBlobs()`
  `void`
  `updateKeySetForBlobStore(Set<String> keySetBlobStore)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalFsBlobStoreSynchronizer

    public LocalFsBlobStoreSynchronizer(BlobStore blobStore, Map<String,Object> conf)

- ## Method Details

  - ### setNimbusInfo

    public void setNimbusInfo(NimbusInfo nimbusInfo)

  - ### setZkClient

    public void setZkClient(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework zkClient)

  - ### getBlobStoreKeySet

    public Set<String> getBlobStoreKeySet()

  - ### setBlobStoreKeySet

    public void setBlobStoreKeySet(Set<String> blobStoreKeySet)

  - ### getZookeeperKeySet

    public Set<String> getZookeeperKeySet()

  - ### setZookeeperKeySet

    public void setZookeeperKeySet(Set<String> zookeeperKeySet)

  - ### syncBlobs

    public void syncBlobs()

  - ### deleteKeySetFromBlobStoreNotOnZookeeper

    public void deleteKeySetFromBlobStoreNotOnZookeeper(Set<String> keySetBlobStore, Set<String> keySetZookeeper) throws Exception
    Throws:
      `Exception`

  - ### updateKeySetForBlobStore

    public void updateKeySetForBlobStore(Set<String> keySetBlobStore)

  - ### getKeySetToDownload

    public Set<String> getKeySetToDownload(Set<String> blobStoreKeySet, Set<String> zookeeperKeySet)